Nini Library API Reference - http://nini.sourceforge.net/ |

# RegistryConfigSource Methods

The methods of the RegistryConfigSource class are listed below. For a complete list of RegistryConfigSource class members, see the RegistryConfigSource Members topic.

#### Public Instance Methods

AddConfig | Overloaded. Adds a config and will map itself to the DefaultKey property.
AddMapping | Overloaded. Maps a single registry key to an IConfig.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
ExpandKeyValues (inherited from ConfigSourceBase) | Expands all key values.
GetExpanded (inherited from ConfigSourceBase) | Returns the expanded string value. This method does not replace the other key values in the IConfigSource.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Merge (inherited from ConfigSourceBase) | Merges all IConfigs from another IConfigSource into the Configs collection.
Reload | Reloads all configuration values.
ReplaceKeyValues (inherited from ConfigSourceBase) | This method is deprecated. Use ExpandKeyValues from now on.
Save | Saves all configuration values.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnReloaded (inherited from ConfigSourceBase) |
OnSaved (inherited from ConfigSourceBase) |

#### See Also

RegistryConfigSource Class | Nini.Config Namespace